Name: unzip-natspec
Version: 6.0.1
Release: 2%{?dist}
Summary: Unpacks .zip archives with non-latin filenames, using libnatspec patch from AltLinux
License: custom
URL: https://www.info-zip.org/
Source0: unzip60.tar.gz
Patch0: unzip-6.0-alt-natspec.patch
Patch1: overflow-fsize.patch
Patch2: cve20149636.patch
Patch3: test_compr_eb.patch
Patch4: getZip64Data.patch
Patch5: crc32.patch
Patch6: empty-input.patch
Patch7: csiz-underflow.patch
Patch8: nextbyte-overflow.patch
BuildRequires: gcc patch libnatspec bzip2-devel
Requires: libnatspec bzip2
Provides: unzip = %{version}-%{release} unzip(x86-64)
Provides: unzip(x86-64)
Obsoletes: unzip < %{version}-%{release}
BuildArch: x86_64

%description
Unpacks .zip archives with non-latin filenames, using libnatspec patch from AltLinux.

%prep
%setup -q -n unzip60

patch -p1 -i %{_sourcedir}/unzip-6.0-alt-natspec.patch
patch -p1 -i %{_sourcedir}/overflow-fsize.patch
patch -p1 -i %{_sourcedir}/cve20149636.patch
patch -i %{_sourcedir}/test_compr_eb.patch
patch -i %{_sourcedir}/getZip64Data.patch
patch -i %{_sourcedir}/crc32.patch
patch -p1 -i %{_sourcedir}/empty-input.patch
patch -p1 -i %{_sourcedir}/csiz-underflow.patch
patch -p1 -i %{_sourcedir}/nextbyte-overflow.patch

%global _enable_debug_package 0
%global debug_package %{nil}

%build
export CFLAGS="${CFLAGS//-Werror=format-security/} -D_FILE_OFFSET_BITS=64 -DACORN_FTYPE_NFS \
    -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT \
    -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD -DDATE_FORMAT=DF_YMD \
    -DUSE_BZIP2 -DNATIVE -DNOMEMCPY -DNO_SETLOCALE"

make -f unix/Makefile LOCAL_UNZIP="$CFLAGS" prefix=/usr \
    D_USE_BZ2=-DUSE_BZIP2 L_BZ2=-lbz2 unzips

%install
make -f unix/Makefile prefix=%{buildroot}/usr INSTALL_PROGRAM="install" install
install -Dm644 LICENSE %{buildroot}/usr/share/licenses/unzip/LICENSE
install -d %{buildroot}%{_datadir}
mv %{buildroot}%{_prefix}/man %{buildroot}%{_datadir}

%files
%defattr(-,root,root,-)
%{_bindir}/funzip
%{_bindir}/unzip
%{_bindir}/unzipsfx
%{_bindir}/zipgrep
%{_bindir}/zipinfo
%{_datadir}/licenses/unzip/LICENSE
%{_mandir}/man1/funzip.1.gz
%{_mandir}/man1/unzip.1.gz
%{_mandir}/man1/unzipsfx.1.gz
%{_mandir}/man1/zipgrep.1.gz
%{_mandir}/man1/zipinfo.1.gz

%changelog
